<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns="http://camitk.imag.fr/cepcoreschema"
            targetNamespace="http://camitk.imag.fr/cepcoreschema"
            elementFormDefault="qualified"
>
  <xsd:include schemaLocation="ClassName.xsd"/>
  <xsd:include schemaLocation="Classification.xsd"/>
  <xsd:include schemaLocation="Parameters.xsd"/>
  <xsd:include schemaLocation="ActionProperties.xsd"/>
  
  <xsd:element name="action" type="Action"/>
  <xsd:complexType name="Action">
    <xsd:sequence>
      <xsd:element name="name"            type="xsd:string"/>
      <xsd:element name="description"     type="xsd:string"/>
      <xsd:element name="component"       type="ClassName"/>
      <xsd:element name="classification"  type="Classification"/>
      <xsd:element name="parameters"      type="Parameters" minOccurs="0"/>
      <xsd:element name="properties"      type="ActionProperties" minOccurs="0"/>
    </xsd:sequence>
  </xsd:complexType>

</xsd:schema>
